Loading...
Searching...
No Matches
BALL::AromaticityProcessor Class Reference

This processor provides methods for detection and assignment of aromaticity. More...

`#include <BALL/QSAR/aromaticityProcessor.h>`

Inheritance diagram for BALL::AromaticityProcessor:

## Classes

struct | Option
| Option names. More...
struct | Default
| Default values for options. More...

## Public Member Functions

Constructors and Destructors
| AromaticityProcessor ()
| AromaticityProcessor (const AromaticityProcessor &aro)
virtual | ~AromaticityProcessor ()
Assignment
AromaticityProcessor & | operator= (const AromaticityProcessor &aro)
Accessors
void | aromatize (const vector< vector< Atom * > > &sssr, AtomContainer &ac)
void | aromatizeSimple (vector< vector< Atom * > > &sssr)
Processor-related methods
Processor::Result | operator() (AtomContainer &ac)
virtual bool | start ()
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | finish ()

## Public Attributes

Options | options
| options
void | setDefaultOptions ()

## Predicates

bool | isValid_ (const AtomContainer &ac)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

This processor provides methods for detection and assignment of aromaticity.

Aromaticity Processor

Processor method to detect aromaticity of AtomContainers. If it is called as a processor with the operator (), the RingPerceptionProcessor is called before, to calculate a ring set. It can be called explicitely with aromatize with a ringset as parameter.

Definition at line 28 of file aromaticityProcessor.h.

## Constructor & Destructor Documentation

## AromaticityProcessor() [1/2]

BALL::AromaticityProcessor::AromaticityProcessor | ( |  | ) |

Default constructor

## AromaticityProcessor() [2/2]

BALL::AromaticityProcessor::AromaticityProcessor | ( | const AromaticityProcessor & | aro | ) |

Copy constructor

## ~AromaticityProcessor()

virtual BALL::AromaticityProcessor::~AromaticityProcessor | ( |  | ) |

virtual

Destrcutor

## Member Function Documentation

## aromatize()

void BALL::AromaticityProcessor::aromatize | ( | const vector< vector< Atom * > > & | sssr,
|  | AtomContainer & | ac )

Calculated the aromaticity of the molcule and sets the properties "IsAromatic" for aromatic atoms, and Bond::ORDER__AROMATIC for bonds which are aromatic.

Parameters

  SSSR | ring set as vector<vector<Atom*> >, (vector of rings in vector<Atom*>) after the processing this variable holds all aromatic systems, which are not necessarily single rings!

## aromatizeSimple()

void BALL::AromaticityProcessor::aromatizeSimple | ( | vector< vector< Atom * > > & | sssr | ) |

Method to set aromaticity with the use of simple rules. Each ring from the given SSSR set (which needs just to be a set of rings) is examined for itself. (needed for the implementation of the MMFF94 force field which does not agree with the advanced araomtaticity definition of the default method.).

  It does not set any aromaticity flags, neither at the atoms nor bonds to bond order aromatic! @Param sssr is the set to be examined, only aromatic rings will stay

## isValid_()

bool BALL::AromaticityProcessor::isValid_ | ( | const AtomContainer & | ac | ) |

protected

## operator()()

Processor::Result BALL::AromaticityProcessor::operator() | ( | AtomContainer & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## operator=()

AromaticityProcessor & BALL::AromaticityProcessor::operator= | ( | const AromaticityProcessor & | aro | ) |

Assignment operator

## setDefaultOptions()

void BALL::AromaticityProcessor::setDefaultOptions | ( |  | ) |

reset the options to default values

## start()

virtual bool BALL::AromaticityProcessor::start | ( |  | ) |

virtual

start method

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## Member Data Documentation

## options

Options BALL::AromaticityProcessor::options

options

Definition at line 83 of file aromaticityProcessor.h.